org.eclipse.oomph.setup

## Interface Scope

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTaskContainer
  All Known Subinterfaces:
    Installation, Product, ProductCatalog, ProductVersion, Project, ProjectCatalog, ProjectContainer, Stream, User, Workspace
  All Known Implementing Classes:
    InstallationImpl, ProductCatalogImpl, ProductImpl, ProductVersionImpl, ProjectCatalogImpl, ProjectImpl, ScopeImpl, StreamImpl, UserImpl, WorkspaceImpl

      public interface Scope
      extends SetupTaskContainer

  A representation of the model object 'Scope'.

  The following features are supported:

  - `Name`
  - `Label`
  - `Description`
  - `Qualified Name`
  See Also:
    `SetupPackage.getScope()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Returns the value of the 'Description' attribute.
    `String` | `getLabel()` Returns the value of the 'Label' attribute.
    `String` | `getName()` Returns the value of the 'Name' attribute.
    `Scope` | `getParentScope()`
    `String` | `getQualifiedName()` Returns the value of the 'Qualified Name' attribute.
    `ScopeType` | `getType()`
    `void` | `setDescription(String value)` Sets the value of the '`Description`' attribute.
    `void` | `setLabel(String value)` Sets the value of the '`Label`' attribute.
    `void` | `setName(String value)` Sets the value of the '`Name`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `SetupPackage.getScope_Name()`
      Generated
      Model
        required="true"

    - #### setName

          void setName(String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated

    - #### getLabel

          String getLabel()

      Returns the value of the 'Label' attribute.

      If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `SetupPackage.getScope_Label()`
      Generated
      Model

    - #### setLabel

          void setLabel(String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`
      Generated

    - #### getDescription

          String getDescription()

      Returns the value of the 'Description' attribute.

      If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Description' attribute.
      See Also:
        `setDescription(String)`, `SetupPackage.getScope_Description()`
      Generated
      Model
        dataType="org.eclipse.oomph.base.Text" extendedMetaData="kind='element'"

    - #### setDescription

          void setDescription(String value)

      Sets the value of the '`Description`' attribute.
      Parameters:
        `value` - the new value of the 'Description' attribute.
      See Also:
        `getDescription()`
      Generated

    - #### getQualifiedName

          String getQualifiedName()

      Returns the value of the 'Qualified Name' attribute.

      If the meaning of the 'Qualified Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Qualified Name' attribute.
      See Also:
        `SetupPackage.getScope_QualifiedName()`
      Generated
      Model
        required="true" transient="true" changeable="false" volatile="true" derived="true"

    - #### getParentScope

          Scope getParentScope()

      Generated
      Model
        kind="operation"

    - #### getType

          ScopeType getType()

      Generated
      Model
        kind="operation" required="true"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html